Skip to content
227,683 profiles ranked

Rob Howley

British rugby union footballer and coach · United Kingdom · On the map · Athletes · Born 1970 · age 56

Robert Howley is a Welsh rugby union coach and former player. As a player, he won 59 caps for Wales, 22 of them as captain. He was part of the Wales coaching staff from 2008 to 2019.

Rob Howley is read about 13 times a day, in 5 languages.

A typical day, 30 days to 11 October 2026

The middle day of the days counted, so one week of news cannot move it. The line under it is the last 120 days, one point a day.

Something wrong?
Compare Claim

People around Rob

Close ties

Also in Français

Career 8

ClubYears
Wasps RFC2002-2004
British & Irish Lions2001
Wales1996-2002
Cardiff RFC1996-2002
Bridgend Ravens1994-1996
Cardiff RFC1993-1994
Bridgend Ravens1993
Barbarian FC1993-2003

Media & music

Photos 1

About this person

Country
United Kingdom
Category
Athletes
Type
Athlete
Status
Living
Dates
Born 1970 · age 56